﻿{% extends "base.html" %}
{% load static %}



{% block title %}Connexion{% endblock %}



{% block content %}
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <!-- =-=-=-=-=-=-= test sur l'etat du profil =-=-=-=-=-=-= -->

      <!-- =-=-=-=-=-=-= Breadcrumb =-=-=-=-=-=-= -->
      <div class="page-header-area-2 gray">
         <div class="container">
            <div class="row">
               <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <div class="small-breadcrumb">
                     <div class=" breadcrumb-link">
                        <ul>
                           <li><a href="index.html">Home Page</a></li>
                           <li><a class="active" href="#">Profil</a></li>
                        </ul>
                     </div>
                     <div class="header-page">
                        <h1>Mon profil</h1>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="section-padding no-top gray">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <!-- Middle Content Area -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <section class="search-result-item">
                        <a class="image-link" href="#"><img class="image center-block" alt="" src="{% get_media_prefix %}{{cmpt.profile_image }}"> </a>
                        <div class="search-result-item-body">
                           <div class="row">
                              <div class="col-md-5 col-sm-12 col-xs-12">
                                 <h4 class="search-result-item-heading"><a href="#">{{client.nom}}</a></h4>
                                 <p class="info">
                                    <span><a href="profile.html"><i class="fa fa-star "></i>Bon</a></span>
                                    <span><a data-target="#myModal" data-toggle="modal" ><i class="fa fa-edit"></i>Modifier le Profile </a></span>
                                 </p>
                                 <p class="description">Dernière connexion à: {{ cmpt.last|date:'d/m/Y' }}</p>
                                 <span class="label label-success"><i class="fa fa-address-card"></i> {{ client.permis.numero}}</span>
                                 {%if cmpt.vernum == '1' %}
                                 <span class="label label-success"> <i class="fa fa-phone "> </i>verifié</span>
                                 {%else %}
                                    <span class="label label-danger"> <i class="fa fa-phone "> </i>Non verifié</span>
                                 {% endif %}
                                 {%if cmpt.vermail == '1' %}
                                 <span class="label label-success"> <i class="fa fa-envelope "> </i> verifié</span>
                                 {%else %}
                                 <span class="label label-danger"> <i class="fa fa-envelope "> </i> Non verifié</span>
                                 {% endif %}
                              </div>
                              <div class="col-md-7 col-sm-12 col-xs-12">
                                 <div class="row ad-history">
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{user_other_rent}}</h2>
                                          <small>Louée(s)</small>
                                       </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{user_myrent}}</h2>
                                          <small>Locations</small>
                                       </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{nbre_voiture}}</h2>
                                          <small>Voitures</small>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </section>
                     <div class="dashboard-menu-container">
                        <ul>
                           <li class="active">
                              <a href="userPorfile/{{ car.client.id }}">
                                 <div class="menu-name">Profil </div>
                              </a>
                           </li>
                        </ul>
                     </div>
                  </div>
                  <!-- Middle Content Area  End -->
               </div>
               <!-- Row End -->
               <div class="row margin-top-40">
                  <!-- Middle Content Area -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <!-- Row -->
                     <div class="profile-section margin-bottom-20">
                        <div class="profile-tabs">
                           <ul class="nav nav-justified nav-tabs">
                              <li class="active"><a href="#profile" data-toggle="tab">Identité</a></li>
                              <li><a href="#edit" data-toggle="tab">voitures</a></li>
                           </ul>
                           <div class="tab-content">
                              <div class="profile-edit tab-pane fade in active" id="profile">
                                 <h2 class="heading-md">Gérez votre nom, votre ID et vos adresses e-mail.</h2>
                                 <p>Vous trouverez ci-dessous le nom et les adresses e-mail de votre compte.</p>
                                 <dl class="dl-horizontal">
                                    <dt><strong> Nom: </strong></dt>
                                    <dd>
                                       {{client.nom}}
                                    </dd>
                                    <dt><strong> Prénom: </strong></dt>
                                    <dd>
                                       {{client.prenom}}
                                    </dd>
                                    <dt><strong>Date de naissance </strong></dt>
                                    <dd>
                                       {{client.date_naissance|date:'d/m/Y' }}
                                    </dd>
                                    <dt><strong>Adresse mail  </strong></dt>
                                    <dd>
                                       {{client.email}}
                                    </dd>
                                    <dt><strong>Numéro de téléphone </strong></dt>
                                    <dd>
                                       {{client.telephone}}
                                    </dd>
                                    <dt><strong>Pays </strong></dt>
                                    <dd>
                                       {{client.quartier.ville.pays.libelle}}
                                    </dd>
                                    <dt><strong>Ville </strong></dt>
                                    <dd>
                                       {{client.quartier.ville.libelle}}
                                    </dd>
                                    <dt><strong>Quartier</strong></dt>
                                    <dd>
                                       {{client.quartier.libelle}}
                                    </dd>
                                    <dt><strong>Statut</strong></dt>
                                    <dd>
                                       {{client.statut}}
                                    </dd>
                                 </dl>
                              </div>
                              <div class="profile-edit tab-pane fade" id="edit">
                                 <h2 class="heading-md">Modifier vos infomations du compte</h2>
                                 <p>votre numéro et adresse mail seront verifiés</p>
                                 <div class="clearfix"></div>
                                 <div class="row">
                                    {% for car in cartList %}
                                    <div class="col-md-4  col-xs-12 col-sm-6">
                                       <!-- Ad Box -->
                                       <div class="white category-grid-box-1 ">
                                          <!-- Image Box -->
                                          <div class="image">
                                             <div class="ribbon status_active">{{car.status}}</div>
                                             <img alt="Carspot" src="{% get_media_prefix %}{{car.feature }}" class="img-responsive" style="height: 230px;">
                                             <div class="notification msgs">
                                                <a class="round-btn" href="javascript:void(0);"><i class="fa fa-envelope-o"></i></a>
                                                <span>7</span>
                                             </div>
                                          </div>
                                          <!-- Short Description -->
                                          <div class="short-description-1 ">
                                             <!-- Category Title -->
                                             <div class="category-title"> <span><a href="#">{{car.usage.libelle}}</a></span> </div>
                                             <!-- Ad Title -->
                                             <h3>
                                                <a title="" href="/editCar/{{ car.id }}">{{car.marque}}</a>
                                             </h3>
                                             <!-- Location -->
                                             <p class="location"><i class="fa fa-map-marker"></i> {{car.quartier.libelle}}</p>
                                             <!-- Price -->
                                             <span class="ad-price">{{car.prix}}</span>
                                          </div>
                                          <!-- Ad Meta Stats -->
                                       </div>
                                       <!-- Ad Box End -->
                                    </div>
                                    {% endfor %}
 
                                 </div>

                              </div>
                              <div class="profile-edit tab-pane fade" id="payment">
                                 <h2 class="heading-md">Gérez vos paramètres</h2>
                                 <p>Voici les options de paiement pour votre compte.</p>
                                 <br>
                                 <form action="/planUpdate/" method="POST" id="sky-form" class="sky-form" enctype="multipart/form-data" >{% csrf_token %}
                                    <!--Checkout-Form-->
                                    <dl class="dl-horizontal">
                                       <dt><strong>Plan actuel</strong></dt>
                                       <dd>
                                          {{plan.mode}}
                                       </dd>
                                       <dt><strong>Cordonnées:</strong></dt>
                                       <dd>
                                          {{plan.reference}}
                                       </dd>
                                    </dl>
                                    <div class="row">
                                       <div class="col-sm-12 col-md-6 margin-bottom-20">
                                          <label>Sélectionnez le plan que vous souhaitez modifier<span class="color-red">*</span></label>
                                          <select class="form-control" name="plan">
                                             {% for p in mode %}
                                             <option value="{{p}}">{{p}}</option>
                                             {% endfor %}
                                          </select>
                                       </div>
                                       <div class="col-sm-12 col-md-6 margin-bottom-20">
                                          <label>Entrez les Cordonnées<span class="color-red">*</span></label>
                                          <input type="text" class="form-control " name="cord">
                                       </div>
                                    </div>
                                    <button class="btn btn-sm btn-default" type="button">Annuler</button>
                                    <button type="submit" class="btn btn-sm btn-theme">Enregistrer</button>
                                    <!--End Checkout-Form-->
                                 </form>
                              </div>
                              <div class="profile-edit tab-pane fade" id="settings">
                                 <h2 class="heading-md">Gérez vos notifications..</h2>
                                 <p>Voici les notifications que vous pouvez gérer.</p>
                                 <br>
                                 <form action="/savenotif/" method="post" enctype="multipart/form-data" >{% csrf_token %}
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          {% for notifUser in notification %}
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-1" value="{{notifUser.notification.id}}" name="notif" checked="checked">
                                             <label for="minimal-checkbox-1">{{notifUser.notification.titre}}</label>
                                          </li>
                                          {% endfor %}
                                          {% for notif in listNotif %}
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-1" value="{{notif.id}}" name="notif">
                                             <label for="minimal-checkbox-1">{{notif.titre}}</label>
                                          </li>
                                          {% endfor %}
                  
                                       </ul>
                                    </div>
                                    <div class="button-group margin-top-20">
                                       <button class="btn btn-sm btn-default" type="reset">Reinitialiser</button>
                                       <button type="submit" class="btn btn-sm btn-theme">Enregistrer</button>
                                    </div>
                                 </form>
                              </div>
                           </div>
                        </div>
                     </div>
                     <!-- Row End -->
                  </div>
                  <!-- Middle Content Area  End -->
               </div>
            </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Ads Archives End =-=-=-=-=-=-= -->
         <div class="custom-modal">
            <div id="myModal" class="modal fade" role="dialog">
               <div class="modal-dialog">
                  <!-- Modal content-->
                  <div class="modal-content">
                     <div class="modal-header rte">
                        <h2 class="modal-title">Mot de passe oublié?</h2>
                     </div>
                     <form action="/majphoto/{{ client.id }}" method="post" enctype="multipart/form-data" >{% csrf_token %}
                        <div class="modal-body">
                           <div class="row margin-bottom-20">
                              <div class="form-group">
                                 <div class="col-md-9">
                                    <div class="input-group">
                                       <span class="input-group-btn">
                                       <span class="btn btn-default btn-file">
                                       Charger... <input type="file" id="imgInp" name="photo">
                                       </span>
                                       </span>
                                       <input type="text" class="form-control" name="photoUploaded" value="{{cmpt.profile_image}}" readonly>
                                    </div>
                                 </div>
                                 <div class="col-md-3">
                                    <img id="img-upload" class="img-responsive" src="{% get_media_prefix %}{{cmpt.profile_image }}"  alt="" />
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="modal-footer">
                           <button type="submit" class="btn btn-success">Changer la photo</button>
                           <button type="button" class="btn btn-danger" data-dismiss="modal">Annuler</button>
                        </div>
                     </form>
                  </div>
               </div>
            </div>
         </div>

{% block scripts %}
<script type="text/javascript">
$('#dbType').on('change',function(){
    if( $(this).val()==="salarie"){
    $("#otherType").show()
    $("#ets").show()
    $("#etab").hide()
    $("#schoolType").hide()
    }
    else if ( $(this).val()==="etudiant") {
    $("#otherType").hide()
    $("#etab").show()
    $("#ets").hide()
    $("#schoolType").show()

    }
    else{
      $("#schoolType").hide()
      $("#etab").hide()
      $("#ets").hide()
      $("#otherType").hide()
    }
});

$("#id_ville").change(function () {
     var url = "/ajax_load_quartier/";  // get the url of the `load_cities` view
     var countryId = $(this).val();  // get the selected country ID from the HTML input

     $.ajax({                       // initialize an AJAX request
       url: url,                    // set the url of the request (= localhost:8000/hr/ajax/load-cities/)
       data: {
         'ville': countryId       // add the country id to the GET parameters
       },
       success: function (data) {   // `data` is the return of the `load_cities` view function
         $("#id_quartier").html(data);  // replace the contents of the city input with the data that came from the server
       }
     });

   });
</script>
{% endblock %} 
{% endblock %}                       
